Subject: bug#26396: 25.1; char-displayable-p on a latin1 tty

From: Kevin Ryde <[email-masked]>
Date: Fri, 14 Apr 2017 13:01:52 +1000

Paul Eggert <[email-masked]> writes:
>
> It depends on whether the console is in UTF-8 mode.  If so, send UTF-8;
> if not, send a byte that is transformed according to the current
> mapping table into a Unicode value.  I hope we don't need to bother
> with the latter possibility.

The latter is just terminal-coding-system though is it?, which is what
happens now.  Would char-displayable-p always check encodable and then
ponder what further the kernel ioctls can say about viewable glphs.